Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.webservice
Class HL7WSMessage

    java.lang.Object
      com.stc.connector.tcpip.model.webservice.TCPIPWSMessage
          com.stc.connector.tcpip.hl7.webservice.HL7WSMessage

    public class HL7WSMessage

extends TCPIPWSMessage

This class represents the input/output message for HL7 web services.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2005/09/03 06:28:42 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`protected` | `HL7WSMessage()` Default Constructor.
`` | `HL7WSMessage(java.lang.String messageType)` Constructor.

Method Summary
`boolean` | `isClientMessageType()` Method isClientMessageType.
`boolean` | `isClosed()` Method isClosed.
`boolean` | `isServerMessageType()` Method isServerMessageType.
`void` | `setClientApplication(java.lang.Object clientApplication)` Sets the clientApplication.
`void` | `setServerApplication(java.lang.Object serverApplication)` Sets the serverApplication.

Methods inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSMessage
`getAutoClose, getAutoReconnect, getBytes, getClientApplication, getEncoding, getServerApplication, getString, isAutoClose, isAutoReconnect, setAutoClose, setAutoReconnect, setBytes, setEncoding, setString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7WSMessage

    protected HL7WSMessage()

  Default Constructor.

### HL7WSMessage

    public HL7WSMessage(java.lang.String messageType)
                 throws HL7WSException

  Constructor.

  Parameters:
    `messageType` - HL7WSContainer.HL7_CLIENT_PORT_TYPE or HL7WSContainer.HL7_SERVER_PORT_TYPE
  Throws:
    `HL7WSException` - on error

Method Detail

### isServerMessageType

    public boolean isServerMessageType()

  Description copied from class: `TCPIPWSMessage`
  Method isServerMessageType.

  Overrides:
    `isServerMessageType` in class `TCPIPWSMessage`
  Returns:
    boolean
  See Also:
    `TCPIPWSMessage.isServerMessageType()`

### isClientMessageType

    public boolean isClientMessageType()

  Description copied from class: `TCPIPWSMessage`
  Method isClientMessageType.

  Overrides:
    `isClientMessageType` in class `TCPIPWSMessage`
  Returns:
    boolean
  See Also:
    `TCPIPWSMessage.isClientMessageType()`

### setClientApplication

    public void setClientApplication(java.lang.Object clientApplication)
                              throws HL7WSException

  Description copied from class: `TCPIPWSMessage`
  Sets the clientApplication.

  Overrides:
    `setClientApplication` in class `TCPIPWSMessage`
  Parameters:
    `clientApplication` - The clientApplication to set
  Throws:
    `HL7WSException`
  See Also:
    `TCPIPWSMessage.setClientApplication(java.lang.Object)`

### setServerApplication

    public void setServerApplication(java.lang.Object serverApplication)
                              throws HL7WSException

  Description copied from class: `TCPIPWSMessage`
  Sets the serverApplication.

  Overrides:
    `setServerApplication` in class `TCPIPWSMessage`
  Parameters:
    `serverApplication` - The serverApplication to set
  Throws:
    `HL7WSException`
  See Also:
    `TCPIPWSMessage.setServerApplication(java.lang.Object)`

### isClosed

    public boolean isClosed()

  Description copied from class: `TCPIPWSMessage`
  Method isClosed.

  Overrides:
    `isClosed` in class `TCPIPWSMessage`
  Returns:
    boolean
  See Also:
    `TCPIPWSMessage.isClosed()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD